From 2ee65cf6eacd78be3eef6a2478b83804870f0e95 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 19 Dec 2020 05:32:16 -0600
Subject: [PATCH 16/17] Doc review for WAL counters: "amount of bytes"

6b466bf5f pg_stat_statements (should backpatch to v13)
01469241b pg_stat_wal

It's correct to say "number of bytes" or "amount of WAL in bytes" but not
"amount of bytes".

I suggested "number of bytes" in April but didn't argue for it.
https://www.postgresql.org/message-id/20200406163420.GE2228%40telsasoft.com
https://www.postgresql.org/message-id/CAOBaU_Z6BKS01-DvSU30UMOKLHJGdrvehJbhqfOXcMq%3DYzHXUA%40mail.gmail.com
---
 contrib/pg_stat_statements/pg_stat_statements.c | 2 +-
 doc/src/sgml/monitoring.sgml                    | 2 +-
 doc/src/sgml/pgstatstatements.sgml              | 2 +-
 doc/src/sgml/ref/explain.sgml                   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 00eeaf1057..ac83a2c571 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -191,7 +191,7 @@ typedef struct Counters
 	double		usage;			/* usage factor */
 	int64		wal_records;	/* # of WAL records generated */
 	int64		wal_fpi;		/* # of WAL full page images generated */
-	uint64		wal_bytes;		/* total amount of WAL bytes generated */
+	uint64		wal_bytes;		/* total number of WAL bytes generated */
 } Counters;
 
 /*
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 941cf1877b..d26fb57ab6 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -3467,7 +3467,7 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
        <structfield>wal_bytes</structfield> <type>numeric</type>
       </para>
       <para>
-       Total amount of WAL bytes generated
+       Total amount of WAL generated in bytes
       </para></entry>
      </row>
 
diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index 126ee31d9f..3de4a2f754 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -360,7 +360,7 @@
        <structfield>wal_bytes</structfield> <type>numeric</type>
       </para>
       <para>
-       Total amount of WAL bytes generated by the statement
+       Total amount of WAL generated by the statement (bytes)
       </para></entry>
      </row>
     </tbody>
diff --git a/doc/src/sgml/ref/explain.sgml b/doc/src/sgml/ref/explain.sgml
index b0ccdd26e7..9eaff92682 100644
--- a/doc/src/sgml/ref/explain.sgml
+++ b/doc/src/sgml/ref/explain.sgml
@@ -198,7 +198,7 @@ ROLLBACK;
     <listitem>
      <para>
       Include information on WAL record generation. Specifically, include the
-      number of records, number of full page images (fpi) and amount of WAL
+      number of records, number of full page images (fpi) and number of WAL
       bytes generated.  In text format, only non-zero values are printed.  This
       parameter may only be used when <literal>ANALYZE</literal> is also
       enabled.  It defaults to <literal>FALSE</literal>.
-- 
2.17.0

